net.sourceforge.pmd.util

## Class SymbolTableViewer

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter
  - - net.sourceforge.pmd.util.SymbolTableViewer

All Implemented Interfaces:
  JavaParserVisitor

    public class SymbolTableViewer
    extends JavaParserVisitorAdapter

### Constructor Summary

Constructors
Constructor and Description
`SymbolTableViewer()`

### Method Summary

Methods
`Object` `visit(ASTClassOrInterfaceDeclaration node, Object data)`
`Object` `visit(ASTCompilationUnit node, Object data)`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SymbolTableViewer

    public SymbolTableViewer()

### Method Detail

#### visit

    public Object visit(ASTCompilationUnit node,
               Object data)

Specified by:
  `visit` in interface `JavaParserVisitor`
Overrides:
  `visit` in class `JavaParserVisitorAdapter`

#### visit

    public Object visit(ASTClassOrInterfaceDeclaration node,
               Object data)

Specified by:
  `visit` in interface `JavaParserVisitor`
Overrides:
  `visit` in class `JavaParserVisitorAdapter`